curl --request POST \
--url https://api.pgw-sandbox.finventi.com/v3/investigations/{id}:resolve \
--header 'Content-Type: application/json' \
--data '
{
"responseDetails": {
"settlementDate": "2023-12-25"
}
}
'import requests
url = "https://api.pgw-sandbox.finventi.com/v3/investigations/{id}:resolve"
payload = { "responseDetails": { "settlementDate": "2023-12-25" } }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({responseDetails: {settlementDate: '2023-12-25'}})
};
fetch('https://api.pgw-sandbox.finventi.com/v3/investigations/{id}:resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"direction": "OUTBOUND",
"id": 123,
"messageId": "<string>",
"schema": "SEPA",
"status": "PENDING",
"type": "CLAIM_NON_RECEIPT",
"claimNonReceiptDetails": {
"caseId": "<string>",
"reminders": [
{
"createdAt": "2023-11-07T05:31:56Z",
"direction": "OUTBOUND",
"id": 123,
"messageId": "<string>",
"status": "PENDING",
"delivery": {
"status": "<string>",
"statusReason": "<string>"
},
"sentAt": "2023-11-07T05:31:56Z"
}
],
"additionalInfo": "<string>"
},
"delivery": {
"status": "<string>",
"statusReason": "<string>"
},
"referencedTransactionId": 123,
"reminderEligibility": {
"eligible": true,
"availableFrom": "2023-12-25",
"reason": "NOT_APPLICABLE"
},
"resolution": {
"confirmationCode": "ACNR",
"messageId": "<string>",
"rejectionReasonCode": "<string>",
"settlementDate": "2023-12-25"
},
"statusHistory": [
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"statusTo": "PENDING",
"changeReason": "<string>",
"statusFrom": "PENDING"
}
],
"transactionDetails": {
"amount": 123,
"currencyCode": "<string>",
"endToEndId": "<string>",
"method": "SEPA",
"settlementDate": "2023-12-25",
"creditorBic": "<string>",
"creditorIban": "<string>",
"creditorName": "<string>",
"debtorBic": "<string>",
"debtorIban": "<string>",
"debtorName": "<string>",
"remittanceInfo": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Resolve investigation
Sends a resolution (camt.029) to an inbound investigation.
Path Parameters
Investigation ID
Body
Response
Investigation response sent
Timestamp when the investigation was created
User or system that created the investigation
Investigation direction (INBOUND or OUTBOUND)
OUTBOUND, INBOUND Investigation ID
Investigation message ID
Message schema identifier
SEPA, INST Current investigation status
PENDING, RESOLVED, REJECTED Investigation type
CLAIM_NON_RECEIPT, PAYMENT_STATUS_REQUEST Claim non-receipt investigation details, present for CLAIM_NON_RECEIPT type
Show child attributes
Show child attributes
Investigation message delivery status information from CSM
Show child attributes
Show child attributes
Referenced transaction ID
Whether a pacs.028 reminder can be sent for this claim right now, and if not, why
Show child attributes
Show child attributes
Resolution details, present when the investigation has been resolved
Show child attributes
Show child attributes
Investigation status change history, included when retrieving a single investigation
Show child attributes
Show child attributes
Original transaction details referenced by the investigation
Show child attributes
Show child attributes
Timestamp when the investigation was last updated